org.jbpm.services.task.utils

## Enum LdapSearcher.SearchScope

- java.lang.Object
- - java.lang.Enum<LdapSearcher.SearchScope>
  - - org.jbpm.services.task.utils.LdapSearcher.SearchScope

- All Implemented Interfaces:
    Serializable, Comparable<LdapSearcher.SearchScope>
  Enclosing class:
    LdapSearcher

      public static enum LdapSearcher.SearchScope
      extends Enum<LdapSearcher.SearchScope>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OBJECT_SCOPE`
    `ONELEVEL_SCOPE`
    `SUBTREE_SCOPE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LdapSearcher.SearchScope` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LdapSearcher.SearchScope[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OBJECT_SCOPE

          public static final LdapSearcher.SearchScope OBJECT_SCOPE

    - #### ONELEVEL_SCOPE

          public static final LdapSearcher.SearchScope ONELEVEL_SCOPE

    - #### SUBTREE_SCOPE

          public static final LdapSearcher.SearchScope SUBTREE_SCOPE

  - ### Method Detail

    - #### values

          public static LdapSearcher.SearchScope[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LdapSearcher.SearchScope c : LdapSearcher.SearchScope.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LdapSearcher.SearchScope valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.